| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
Well::Marker Class Reference
Well

Marker, should be attached to Strat level. More...

`#include <wellmarker.h>`

Inheritance diagram for Well::Marker:
[legend]

## Public Member Functions
| Marker (const char *nm=nullptr, float dh=0.f, OD::Color c=OD::Color())
| Marker (const Marker &)
| Marker (const Strat::LevelID &, float dh)
| ~Marker ()
OD::Color | color () const
float | dah () const
const char * | description () const
const Interval< float > & | getAgeMa () const
float | getAgeMa (bool start) const
OD::Color | getDatabaseColor () const
const OD::String & | getDatabaseName () const
Strat::Level | getLevel () const
const OD::String & | getStratLvlName () const
bool | hasDescription () const
const MarkerID & | ID () const
Strat::LevelID | levelID () const
const OD::String & | name () const override
Marker & | operator= (const Marker &)
bool | operator== (const Marker &m)
bool | operator> (const Marker &wm) const
Marker & | setAgeMa (const Interval< float > &)
Marker & | setAgeMa (float)
Marker & | setColor (const OD::Color &)
Marker & | setDah (float)
Marker & | setDescription (const char *)
Marker & | setID (const MarkerID &)
Marker & | setLevelID (const Strat::LevelID &)
Marker & | setNoLevelID ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | sKeyAgeMa ()
static const char * | sKeyDah ()

## Private Member Functions
bool | isValidStratLevelName () const

## Private Attributes
Interval< float > | agema_ = Interval<float>::udf()
OD::Color | color_ = OD::Color::Black()
float | dah_
BufferString | description_
MarkerID | id_
Strat::LevelID | levelid_
BufferString | stratlvlnm_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Marker, should be attached to Strat level.

Can be unattached, then uses the fallback name, color, and age The age is an interval, to support unconformities

<>

## Constructor & Destructor Documentation

## ◆ Marker() [1/3]

Well::Marker::Marker | ( | const char * | nm = nullptr,
|  | float | dh = 0.f,
|  | OD::Color | c = OD::Color() )

## ◆ Marker() [2/3]

Well::Marker::Marker | ( | const Strat::LevelID & | ,
|  | float | dh )

## ◆ Marker() [3/3]

Well::Marker::Marker | ( | const Marker & |  | ) |

## ◆ ~Marker()

Well::Marker::~Marker | ( |  | ) |

## Member Function Documentation

## ◆ color()

OD::Color Well::Marker::color | ( |  | ) | const

## ◆ dah()

float Well::Marker::dah | ( |  | ) | const
| inline

## ◆ description()

const char * Well::Marker::description | ( |  | ) | const
| inline

## ◆ getAgeMa() [1/2]

const Interval< float > & Well::Marker::getAgeMa | ( |  | ) | const
| inline

## ◆ getAgeMa() [2/2]

float Well::Marker::getAgeMa | ( | bool | start | ) | const

## ◆ getDatabaseColor()

OD::Color Well::Marker::getDatabaseColor | ( |  | ) | const

## ◆ getDatabaseName()

const OD::String & Well::Marker::getDatabaseName | ( |  | ) | const

## ◆ getLevel()

Strat::Level Well::Marker::getLevel | ( |  | ) | const

## ◆ getStratLvlName()

const OD::String & Well::Marker::getStratLvlName | ( |  | ) | const

## ◆ hasDescription()

bool Well::Marker::hasDescription | ( |  | ) | const

## ◆ ID()

const MarkerID & Well::Marker::ID | ( |  | ) | const
| inline

## ◆ isValidStratLevelName()

bool Well::Marker::isValidStratLevelName | ( |  | ) | const
| private

## ◆ levelID()

Strat::LevelID Well::Marker::levelID | ( |  | ) | const
| inline

## ◆ name()

const OD::String & Well::Marker::name | ( |  | ) | const
| override virtual

Implements ObjectWithName.

## ◆ operator=()

Marker & Well::Marker::operator= | ( | const Marker & |  | ) |

## ◆ operator==()

bool Well::Marker::operator== | ( | const Marker & | m | ) |
| inline

## ◆ operator>()

bool Well::Marker::operator> | ( | const Marker & | wm | ) | const
| inline

## ◆ setAgeMa() [1/2]

Marker & Well::Marker::setAgeMa | ( | const Interval< float > & |  | ) |

## ◆ setAgeMa() [2/2]

Marker & Well::Marker::setAgeMa | ( | float |  | ) |

## ◆ setColor()

Marker & Well::Marker::setColor | ( | const OD::Color & |  | ) |

## ◆ setDah()

Marker & Well::Marker::setDah | ( | float |  | ) |

## ◆ setDescription()

Marker & Well::Marker::setDescription | ( | const char * |  | ) |

## ◆ setID()

Marker & Well::Marker::setID | ( | const MarkerID & |  | ) |

## ◆ setLevelID()

Marker & Well::Marker::setLevelID | ( | const Strat::LevelID & |  | ) |

## ◆ setNoLevelID()

Marker & Well::Marker::setNoLevelID | ( |  | ) |

## ◆ sKeyAgeMa()

static const char * Well::Marker::sKeyAgeMa | ( |  | ) |
| static

## ◆ sKeyDah()

static const char * Well::Marker::sKeyDah | ( |  | ) |
| static

## Member Data Documentation

## ◆ agema_

Interval<float> Well::Marker::agema_ = Interval<float>::udf()
| private

## ◆ color_

OD::Color Well::Marker::color_ = OD::Color::Black()
| private

## ◆ dah_

float Well::Marker::dah_
| private

## ◆ description_

BufferString Well::Marker::description_
| private

## ◆ id_

MarkerID Well::Marker::id_
| private

## ◆ levelid_

Strat::LevelID Well::Marker::levelid_
| private

## ◆ stratlvlnm_

BufferString Well::Marker::stratlvlnm_
| mutable private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025